Subject: Re: [Bitcoin-development] Auto-generated miner backbone

From: Mike Hearn <[email-masked]>
Date: Mon, 4 Nov 2013 13:03:50 +0100

>
> The suggested change is actually very simple (minutes of coding) and
> elegant and addresses precisely the identified problem.
>

Disagree. Unless I'm misunderstanding what they propose, their suggested
change would mean anyone could broadcast a newly discovered block at any
point and have a 50% chance of being the winner. That is a fundamental
change to the dynamics of how Bitcoin works that would require careful
thought and study.

Also, their solution doesn't really address the problem they bring up, it
just changes the size of the threshold required.

Fundamentally, their attack is a sybil attack. It doesn't work if they
can't delay or block a pools competitors because mostly their block will
come in second place and they'll lose the race. Thus the solution should be
a solution to sybil attacks.